echo off
title HDoom Dev Launcher

set GZDOOMDIR=..\gzdoom
set ZDOOMDIR=..\gzdoom
set ZANDIR=..\zandronum
set IWADDIR=..\iwad
set PWADDIR=..\pwad
set IWAD=doom2.wad

:menu
cls
echo Choose engine
echo [G]ZDoom
echo [V]intage GZDoom
echo [Z]andronum
echo [B]rutal Testing
echo.
echo [E]xit
choice /c:gvzbe /n

if ERRORLEVEL 5 exit
if ERRORLEVEL 4 goto brootaldumb
if ERRORLEVEL 3 goto zandronum
if ERRORLEVEL 2 goto gzdoomvintage
if ERRORLEVEL 1 goto gzdoom

:gzdoom
"%GZDOOMDIR%\gzdoom.exe" -file "%cd%" -iwad "%IWADDIR%\%IWAD%"
goto menu

:gzdoomvintage
"%GZDOOMDIR%\gzdoom.exe" -file "%cd%" -iwad "%IWADDIR%\%IWAD%"
goto menu

:zandronum
"%ZANDIR%\zandronum.exe" -file "%cd%" -iwad "%IWADDIR%\%IWAD%"
goto menu

:brootaldumb
"%GZDOOMDIR%\gzdoom.exe" -file "%cd%" -file "%PWADDIR%\brutalv20b.pk3" -iwad "%IWADDIR%\%IWAD%"
goto menu